## google-android-emulator-installer 30.0.12%2B1

=== for-postinst/Makefile ===
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-${PKG_NAME}-installer
INSTALL_DIR=/usr/lib/${INS_DIR}
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}
UNPACK_DIR=$(DL_DIR)/${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	$(UNPACK_DIR=$(DL_DIR)/$(shell unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1))
	install -d -m0755 $(DOC_DIR)
	@if [ -f $(UNPACK_DIR)source.properties ]; then \
		install -m0644 $(UNPACK_DIR)source.properties $(DOC_DIR)/ ; \
        fi
	@if [ -f $(UNPACK_DIR)NOTICE.txt ]; then \
		gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz ; \
        fi
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	chmod -R a+rX $(UNPACK_DIR)
	chmod -R go-w $(UNPACK_DIR)
	install -d -m0755 $(INSTALL_DIR)
	@if [ ! -d $(INSTALL_DIR)$(TRG_DIR)/${PKG_NAME} ]; then \
		mkdir -p $(INSTALL_DIR)${TRG_DIR} && mv $(UNPACK_DIR) $(INSTALL_DIR)${TRG_DIR}  ;\
		find ${INSTALL_DIR}${TRG_DIR}  | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR)${TRG_DIR}/${PKG_NAME} already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

## google-android-emulator-installer 30.0.12+1

=== debian/changelog ===
google-android-emulator-installer (30.0.12+1) unstable; urgency=medium

  * Team upload.

  [ Lev Lamberov ]
  * add Russian translation

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 06 Aug 2020 19:16:14 +0200

google-android-emulator-installer (30.0.12) unstable; urgency=medium

  * Initial release. (Closes: #966589)

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Fri, 31 Jul 2020 10:50:59 +0530

=== debian/control ===
Source: google-android-emulator-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Manas Kashyap <manaskashyaptech@gmail.com>
Build-Depends: debhelper-compat (= 13),
               bash-completion,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://developer.android.com/studio/run/emulator-commandline
Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-emulator-installer.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-emulator-installer

Package: google-android-emulator-installer
Architecture: amd64
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: download and install Google's Android emulator binary
 This package will download Google's Android emulator binary package,
 create a Debian package, and install it.
 .
 The Android SDK includes an Android device emulator — a virtual
 device that runs on your computer. The Android Emulator lets you develop
 and test Android apps without using a physical device.
 .
 WARNING: Installing this Debian package causes android-emulator
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/substvars

=== debian/tests/control ===
Test-Command: emulator -help
